POST ImportDrivers
Creates drivers using an uploaded Excel file.
Request Information
URI Parameters
None.
Body Parameters
The data of the drivers.
ImportDriversDto| Name | Description | Type | Additional information |
|---|---|---|---|
| File | Collection of byte |
None. |
|
| NeedIdentification | boolean |
None. |
|
| IdCompanyContract | globally unique identifier |
None. |
|
| IdentificationsType | integer |
None. |
|
| IdIdentificationsTypeModel | globally unique identifier |
None. |
|
| IdProgram | globally unique identifier |
None. |
|
| IdLoyaltyProgram | globally unique identifier |
None. |
|
| IdHologramTypeModel | globally unique identifier |
None. |
|
| Address | ImportDocumentParameterAddressDto |
None. |
|
| ImportResult | ImportDto |
None. |
Request Formats
application/json, text/json
Sample:
{
"File": "QEA=",
"NeedIdentification": true,
"IdCompanyContract": "57c5dfb0-7875-41b1-ba00-d3c149bb3286",
"IdentificationsType": 1,
"IdIdentificationsTypeModel": "82777269-83e9-4dbe-9fd9-14bd21f591e7",
"IdProgram": "7723ad38-8561-4031-86d0-674357abba01",
"IdLoyaltyProgram": "ec578d1a-9c8b-43fa-9860-c37474fd5a41",
"IdHologramTypeModel": "f31006b3-4ce6-4371-9dba-60ad7c878b8f",
"Address": {
"Street1": "sample string 1",
"Street2": "sample string 2",
"ZipCode": "sample string 3",
"City": "sample string 4",
"ContactName": "sample string 5",
"ContactPhone": "sample string 6",
"IdCountry": "030a0aba-4ea8-4f19-bea2-aec2e33a10da",
"IdState": "6194873f-09d8-4541-a221-bb31e58c9442",
"DeliveryAddressIsLocation": true
},
"ImportResult": {
"listItemError": [
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
},
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
}
],
"correctProcessedQuantity": 1,
"errorProcessedQuantity": 2,
"totalProcessedQuantity": 3,
"withErrors": true,
"successfullyImportedTotal": "Successfully Imported Total 1",
"failedToBeImportedTotal": "Failed To Be imported Total 2",
"successfullyUpdatedTotal": "Total Successfully Updated: 1",
"failedToBeUpdatedTotal": "Total Not Updated: 2",
"totalProcessed": "Total processed: 3",
"needIdentification": true,
"IdentificationResult": true,
"identificationOrderNumber": "sample string 3",
"identificationErrorText": "sample string 4",
"identificationSuccessQuantity": 5,
"identificationErrorQuantity": 6,
"identificationMessageResult": "Identifier request created. Order Number: sample string 3"
}
}
application/xml, text/xml
Sample:
<ImportDriversDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ationet.Model">
<Address>
<City>sample string 4</City>
<ContactName>sample string 5</ContactName>
<ContactPhone>sample string 6</ContactPhone>
<DeliveryAddressIsLocation>true</DeliveryAddressIsLocation>
<IdCountry>030a0aba-4ea8-4f19-bea2-aec2e33a10da</IdCountry>
<IdState>6194873f-09d8-4541-a221-bb31e58c9442</IdState>
<Street1>sample string 1</Street1>
<Street2>sample string 2</Street2>
<ZipCode>sample string 3</ZipCode>
</Address>
<File>QEA=</File>
<IdCompanyContract>57c5dfb0-7875-41b1-ba00-d3c149bb3286</IdCompanyContract>
<IdHologramTypeModel>f31006b3-4ce6-4371-9dba-60ad7c878b8f</IdHologramTypeModel>
<IdIdentificationsTypeModel>82777269-83e9-4dbe-9fd9-14bd21f591e7</IdIdentificationsTypeModel>
<IdLoyaltyProgram>ec578d1a-9c8b-43fa-9860-c37474fd5a41</IdLoyaltyProgram>
<IdProgram>7723ad38-8561-4031-86d0-674357abba01</IdProgram>
<IdentificationsType>1</IdentificationsType>
<ImportResult>
<IdentificationResult>true</IdentificationResult>
<correctProcessedQuantity>1</correctProcessedQuantity>
<errorProcessedQuantity>2</errorProcessedQuantity>
<identificationErrorQuantity>6</identificationErrorQuantity>
<identificationErrorText>sample string 4</identificationErrorText>
<identificationOrderNumber>sample string 3</identificationOrderNumber>
<identificationSuccessQuantity>5</identificationSuccessQuantity>
<listItemError>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
</listItemError>
<needIdentification>true</needIdentification>
<totalProcessedQuantity>3</totalProcessedQuantity>
</ImportResult>
<NeedIdentification>true</NeedIdentification>
</ImportDriversDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Object of ImportDto class.
ImportDriversDto| Name | Description | Type | Additional information |
|---|---|---|---|
| File | Collection of byte |
None. |
|
| NeedIdentification | boolean |
None. |
|
| IdCompanyContract | globally unique identifier |
None. |
|
| IdentificationsType | integer |
None. |
|
| IdIdentificationsTypeModel | globally unique identifier |
None. |
|
| IdProgram | globally unique identifier |
None. |
|
| IdLoyaltyProgram | globally unique identifier |
None. |
|
| IdHologramTypeModel | globally unique identifier |
None. |
|
| Address | ImportDocumentParameterAddressDto |
None. |
|
| ImportResult | ImportDto |
None. |
Response Formats
application/json, text/json
Sample:
{
"File": "QEA=",
"NeedIdentification": true,
"IdCompanyContract": "54f9c130-96d1-4120-ae6d-d32184471be6",
"IdentificationsType": 1,
"IdIdentificationsTypeModel": "4050892d-2ab9-4c55-befb-5e590160ad4c",
"IdProgram": "beea92d3-2a8b-4145-a186-003f6797e6b4",
"IdLoyaltyProgram": "d540ec0b-421f-45c0-9058-21a356cf5b57",
"IdHologramTypeModel": "0bebb9f6-f608-4e97-924e-42c47b0d3d0f",
"Address": {
"Street1": "sample string 1",
"Street2": "sample string 2",
"ZipCode": "sample string 3",
"City": "sample string 4",
"ContactName": "sample string 5",
"ContactPhone": "sample string 6",
"IdCountry": "d83e47aa-e342-4092-9f8b-0d0ce792947e",
"IdState": "f58410c5-3a13-47ce-8fc7-fe0cf065562c",
"DeliveryAddressIsLocation": true
},
"ImportResult": {
"listItemError": [
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
},
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
}
],
"correctProcessedQuantity": 1,
"errorProcessedQuantity": 2,
"totalProcessedQuantity": 3,
"withErrors": true,
"successfullyImportedTotal": "Successfully Imported Total 1",
"failedToBeImportedTotal": "Failed To Be imported Total 2",
"successfullyUpdatedTotal": "Total Successfully Updated: 1",
"failedToBeUpdatedTotal": "Total Not Updated: 2",
"totalProcessed": "Total processed: 3",
"needIdentification": true,
"IdentificationResult": true,
"identificationOrderNumber": "sample string 3",
"identificationErrorText": "sample string 4",
"identificationSuccessQuantity": 5,
"identificationErrorQuantity": 6,
"identificationMessageResult": "Identifier request created. Order Number: sample string 3"
}
}
application/xml, text/xml
Sample:
<ImportDriversDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ationet.Model">
<Address>
<City>sample string 4</City>
<ContactName>sample string 5</ContactName>
<ContactPhone>sample string 6</ContactPhone>
<DeliveryAddressIsLocation>true</DeliveryAddressIsLocation>
<IdCountry>d83e47aa-e342-4092-9f8b-0d0ce792947e</IdCountry>
<IdState>f58410c5-3a13-47ce-8fc7-fe0cf065562c</IdState>
<Street1>sample string 1</Street1>
<Street2>sample string 2</Street2>
<ZipCode>sample string 3</ZipCode>
</Address>
<File>QEA=</File>
<IdCompanyContract>54f9c130-96d1-4120-ae6d-d32184471be6</IdCompanyContract>
<IdHologramTypeModel>0bebb9f6-f608-4e97-924e-42c47b0d3d0f</IdHologramTypeModel>
<IdIdentificationsTypeModel>4050892d-2ab9-4c55-befb-5e590160ad4c</IdIdentificationsTypeModel>
<IdLoyaltyProgram>d540ec0b-421f-45c0-9058-21a356cf5b57</IdLoyaltyProgram>
<IdProgram>beea92d3-2a8b-4145-a186-003f6797e6b4</IdProgram>
<IdentificationsType>1</IdentificationsType>
<ImportResult>
<IdentificationResult>true</IdentificationResult>
<correctProcessedQuantity>1</correctProcessedQuantity>
<errorProcessedQuantity>2</errorProcessedQuantity>
<identificationErrorQuantity>6</identificationErrorQuantity>
<identificationErrorText>sample string 4</identificationErrorText>
<identificationOrderNumber>sample string 3</identificationOrderNumber>
<identificationSuccessQuantity>5</identificationSuccessQuantity>
<listItemError>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
</listItemError>
<needIdentification>true</needIdentification>
<totalProcessedQuantity>3</totalProcessedQuantity>
</ImportResult>
<NeedIdentification>true</NeedIdentification>
</ImportDriversDto>